package com.jasamedika.medifirst2000.vo;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.fasterxml.jackson.annotation.JsonBackReference;
import com.jasamedika.medifirst2000.base.BaseMaster;
import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.entities.DetailPenyakit;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class Agama
 * 
 * @author Generator
 */
public class DetailPenyakitObstetriVO extends BaseTransactionVO {
	
	@ManyToOne
	@JoinColumn(name = "papObsetriFk")
	@Caption(value="Obstetri")
	//@JsonBackReference
	@NotNull(message="Obstetri Harus Diisi")
	private PapObstetriVO papObsetri;

	@Column(name = "papObsetriFk", insertable=false,updatable=false,nullable=false)
	private String papObsetriId;
	
	@Column(name = "checked")
	private Boolean checked;
	
	@ManyToOne
	@JoinColumn(name = "detailPenyakitFk")
	@Caption(value="detail Penyakit")
	//@JsonBackReference
	@NotNull(message="Detail Penyakit Harus Diisi")
	private DetailPenyakitVO detailPenyakit;

	public PapObstetriVO getPapObsetri() {
		return papObsetri;
	}

	public void setPapObsetri(PapObstetriVO papObsetri) {
		this.papObsetri = papObsetri;
	}

	public String getPapObsetriId() {
		return papObsetriId;
	}

	public void setPapObsetriId(String papObsetriId) {
		this.papObsetriId = papObsetriId;
	}



	public DetailPenyakitVO getDetailPenyakit() {
		return detailPenyakit;
	}

	public void setDetailPenyakit(DetailPenyakitVO detailPenyakit) {
		this.detailPenyakit = detailPenyakit;
	}

	public Boolean getChecked() {
		return checked;
	}

	public void setChecked(Boolean checked) {
		this.checked = checked;
	}
	
	
	

}

